clear all;
close all;
clc;
load A11; %Calculated after 1000 beats in ischemic case 2 with CL=300ms; There are instructions about its content in the following
T3   =   A11(:,1);
V    =   A11(:,2);
Cai  =   A11(:,3);
Casr =   A11(:,4);
Jrel =   A11(:,5);
Ito  =   A11(:,6);
ICaL =   A11(:,7);



subplot(4,2,1)
plot(T3,V,'k','linewidth',1);
xlabel('T (ms)');
ylabel('V (mv)');
axis([0 3000 -100 50])

subplot(4,2,3)
plot(T3,Cai,'k','linewidth',1);
axis([0 3000 0 0.003])
xlabel('T (ms)');
ylabel('Ca_i (mmol/L)');

subplot(4,2,5)
plot(T3,Casr,'k','linewidth',1);
xlabel('T (ms)','FontSize',9);
ylabel('Ca_s_r (mmol/L)','FontSize',9);
axis([0 3000 2.5 4]);

a=find(T3==300);
b=find(T3==600);

subplot(4,2,7)
plot(T3(1:a(1)),Ito(1:a(1)),'k','linewidth',1);
hold on
plot(T3(a(2):b(1))-300,Ito(a(2):b(1)),'r--','linewidth',1);
xlabel('T (ms)');
ylabel('I_t_o (uA/uF)');
axis([-10 300 0 4]);



subplot(4,2,2)
plot(T3(1:a(1)),V(1:a(1)),'k','linewidth',1);
hold on
plot(T3(a(2):b(1))-300,V(a(2):b(1)),'r--','linewidth',1);
xlabel('T (ms)');
ylabel('V (mv)');
axis([-10 300 -100 50])
axes('position',[0.788714285714285 0.850938095238102 0.098 0.045],'FontSize',8);
plot(T3(12:48),V(12:48),'linewidth',1);
hold on
plot(T3(720:755)-300,V(720:755),'r--','linewidth',1);
axis([5 20 22 32]);

subplot(4,2,4)
plot(T3(1:a(1)),Cai(1:a(1)),'k','linewidth',1);
hold on
plot(T3(a(2):b(1))-300,Cai(a(2):b(1)),'r--','linewidth',1)
xlabel('T (ms)');
ylabel('Ca_i (mmol/L)');
axis([-10 300 0 0.003])
axes('position',[0.783357142857143 0.633981937602632 0.0980000000000001 0.045],'FontSize',8);
plot(T3(684:710),Cai(684:710),'k','linewidth',1);
hold on
plot(T3(1384:1411)-300,Cai(1384:1411),'r--','linewidth',1);
axis([290 300 0.00037 0.00041]);

subplot(4,2,6)
plot(T3(1:a(1)),Jrel(1:a(1)),'k','linewidth',1);
hold on
plot(T3(a(2):b(1))-300,Jrel(a(2):b(1)),'r--','linewidth',1)
xlabel('T (ms)');
ylabel('J_r_e_l (mM/ms)');
axis([-10 300 0 2]);


subplot(4,2,8)
plot(T3(1:a(1)),ICaL(1:a(1)),'k','linewidth',1);
hold on
plot(T3(a(2):b(1))-300,ICaL(a(2):b(1)),'r--','linewidth',1)
xlabel('T (ms)');
ylabel('I_C_a_L (uA/uF)');
axis([-10 300 -4 0]);


annotation('textbox',[0.0423 0.89 0.059 0.067],'String',{'a'},'LineStyle','none');
annotation('textbox',[0.0423 0.67 0.059 0.067],'String',{'b'},'LineStyle','none');
annotation('textbox',[0.0423 0.46 0.059 0.067],'String',{'c'},'LineStyle','none');
annotation('textbox',[0.0423 0.24 0.059 0.067],'String',{'d'},'LineStyle','none');
annotation('textbox',[0.475 0.89 0.059 0.067],'String',{'e'},'LineStyle','none');
annotation('textbox',[0.475 0.67 0.059 0.067],'String',{'f'},'LineStyle','none');
annotation('textbox',[0.475 0.46 0.059 0.067],'String',{'g'},'LineStyle','none');
annotation('textbox',[0.475 0.24 0.059 0.067],'String',{'h'},'LineStyle','none');
