clear all;
close all;
clc;
subplot(2,1,1)
load A20; %Its contents are explained in the following
load A21; %Its contents are explained in the following
casr_case1a      = A20(:,1);  %Recordings of SR calcium ion concentration of each heart beat(the total number is 1000) in case 1 with CL = 250ms;
casr_case2a      = A20(:,2);  %Recordings of SR calcium ion concentration of each heart beat in case 2 with CL = 250ms;
casr_case3a      = A20(:,3);  %Recordings of SR calcium ion concentration of each heart beatin case 3 with CL = 250ms;
casr_cona        = A20(:,4);  %Recordings of SR calcium ion concentration of each heart beat in control condition with CL = 250ms;
carelease_case1a = A20(:,5);  %Recordings fo JSR released calcium ion concentration of each hear beat in case 1 with CL = 250ms;
carelease_case2a = A20(:,6);  %Recordings of JSR released calcium ion concentration  of each hear beat in case 2 with CL = 250ms;
carelease_case3a = A20(:,7);  %Recordings of JSR released calcium ion concentration of each hear beat in case 3 with CL = 250ms;
carelease_cona   = A20(:,8);  %Recordings of JSR released calcium ion concentration of each hear beat in control condition with CL = 250ms;

casr_case1b      = A21(:,1);  %Recordings of SR calcium ion concentration of each hear beat in case 1 with CL = 300ms;
casr_case2b      = A21(:,2);  %Recordings of SR calcium ion concentration of each hear beat in case 2 with CL = 300ms;
casr_case3b      = A21(:,3);  %Recordings of SR calcium ion concentration of each hear beat in case 3 with CL = 300ms;
casr_conb        = A21(:,4);  %Recordings of SR calcium ion concentration of each hear beat in control condition with CL = 300ms;
carelease_case1b = A21(:,5);  %Recordings of JSR released calcium ion concentration of each hear beat in case 1 with CL = 300ms;
carelease_case2b = A21(:,6);  %Recordings of JSR released calcium ion concentration of each hear beat in case 2 with CL = 300ms;
carelease_case3b = A21(:,7);  %Recordings of JSR released calcium ion concentration of each hear beat in case 3 with CL = 300ms;
carelease_conb   = A21(:,8);  %Recordings of JSR released calcium ion concentration of each hear beat in control condition with CL = 300ms;

%cell geometry
L=0.01;
rad=0.0011;
vcell=1000*3.14*rad*rad*L;
Ageo=2*3.14*rad*rad+2*3.14*rad*L;
Acap=2*Ageo;
vmyo=0.68*vcell;
vnsr=0.0552*vcell;
vjsr=0.0048*vcell;
r_v = vjsr/(vnsr+vjsr);


plot(casr_case1a(91:638),carelease_case1a(91:638)./casr_case1a(91:638)*r_v,'r','linewidth',1);
hold on
plot(casr_case1a(639:1000),carelease_case1a(639:1000)./casr_case1a(639:1000)*r_v,'r.');
hold on

plot(casr_case2a(35:277),carelease_case2a(35:277)./casr_case2a(35:277)*r_v,'b','linewidth',1);
hold on
plot(casr_case2a(278:1000),carelease_case2a(278:1000)./casr_case2a(278:1000)*r_v,'bo');
hold on

plot(casr_case3a(19:166),carelease_case3a(19:166)./casr_case3a(19:166)*r_v,'m','linewidth',1);
hold on
plot(casr_case3a(167:1000),carelease_case3a(167:1000)./casr_case3a(167:1000)*r_v,'mx');
hold on

plot(casr_cona(8:128),carelease_cona(8:128)./casr_cona(8:128)*r_v,'g','linewidth',1);


xlabel('{SR Ca^2^+ content (mmol/L)}');
ylabel('{fractional SR Ca^2^+ release (%)}');

legend2 = legend('case 1','case 1','case 2','case 2','case 3','case 3','control');
set(legend2,'Position',[0.154 0.705 0.173 0.184]);

%axes('position',[0.2 0.6 0.15 0.3]);
axes('position',[0.79 0.62 0.08 0.12],'YTick',[0.106 0.112],'XTick',[2.7 2.8])
plot(casr_case1a(277:535),carelease_case1a(277:535)./casr_case1a(277:535)*r_v,'r','linewidth',1);
hold on
plot(casr_case2a(102:185),carelease_case2a(102:185)./casr_case2a(102:185)*r_v,'b','linewidth',1);
hold on
plot(casr_case3a(54:90),carelease_case3a(54:90)./casr_case3a(54:90)*r_v,'m','linewidth',1);
hold on
plot(casr_cona(25:40),carelease_cona(25:40)./casr_cona(25:40)*r_v,'g','linewidth',1);
axis([2.7 2.8 0.106 0.112]);

annotation('textbox',[0.71 0.87 0.174 0.044],'String',{'CL = 250ms'},'FitBoxToText','off');

subplot(2,1,2)
plot(casr_case1b(97:1000),carelease_case1b(97:1000)./casr_case1b(97:1000)*r_v,'r','linewidth',1);
hold on
plot(casr_case2b(27:267),carelease_case2b(27:267)./casr_case2b(27:267)*r_v,'b','linewidth',1);
hold on
plot(casr_case2b(268:1000),carelease_case2b(268:1000)./casr_case2b(268:1000)*r_v,'b.');
hold on
plot(casr_case3b(14:156),carelease_case3b(14:156)./casr_case3b(14:156)*r_v,'m','linewidth',1);
hold on
plot(casr_case3b(157:1000),carelease_case3b(157:1000)./casr_case3b(157:1000)*r_v,'mx');
hold on
plot(casr_conb(5:95),carelease_conb(5:95)./casr_conb(5:95)*r_v,'g','linewidth',1);

xlabel('{SR Ca^2^+ content (mmol/L)}');
ylabel('{fractional SR Ca^2^+ release (%)}');

legend1 = legend('case 1','case 2','case 2','case 3','case 3','control');
set(legend1,'Position',[0.154 0.226 0.173 0.213]);
axes('position',[0.79 0.15 0.08 0.12],'YTick',[0.126 0.132],'XTick',[2.7 2.8]);
plot(casr_case1b(513:1000),carelease_case1b(513:1000)./casr_case1b(513:1000)*r_v,'r','linewidth',1);
hold on
plot(casr_case2b(137:268),carelease_case2b(137:268)./casr_case2b(137:268)*r_v,'b','linewidth',1);
hold on
plot(casr_case3b(59:100),carelease_case3b(59:100)./casr_case3b(59:100),'m','linewidth',1);
hold on
plot(casr_conb(25:37),carelease_conb(25:37)./casr_conb(25:37)*r_v,'g','linewidth',1);

axis([2.7 2.8 0.126 0.132]);
annotation('textbox',[0.718 0.395 0.173 0.044],'String',{'CL = 300ms'},'FitBoxToText','off');
annotation('textbox',[0.023 0.93 0.059 0.044],'String',{'a'},'EdgeColor',[1 1 1]);
annotation('textbox',[0.023 0.465 0.059 0.044],'String',{'b'},'EdgeColor',[1 1 1]);