clear all;
close all;
clc;

load A5; %There are instructions about its content in the following.
casrN = A5(:,1)./max(A5(:,1)); %normalized SR  calcium ion concentration
caiN  = A5(:,2)./max(A5(:,2)); %normalized cyctoplasmic calcium ion concentration
ratio = A5(:,3)./A5(:,2);      %A(:,3) represents the NSR calcium ion concentration. This value shows the ratio of calcium ion concentration between NSR to the cytoplasm.

subplot(2,1,1)
plot(casrN,'.','Markersize',4);
hold on
plot(caiN,'.','Color',[0.85 0.16 0],'Markersize',4,'LineWidth',1);
xlabel('Number of Beats');
set(subplot(2,1,1),'LineWidth',1);

legend1 = legend('Normalized diastolic Ca_s_r','Normalized diastolic Ca_i');
set(legend1,'Position',[0.182 0.6 0.368 0.1],'LineWidth',1);

B1=300:330;
axes('position',[0.76 0.65 0.11 0.155]);
plot(B1,casrN(300:330),'.');
axis([300 330 0.82 0.84]);
set(axes,'LineWidth',1);

annotation('textbox',[0.145 0.85 0.162 0.0475],'String',{'CL = 250ms'},'FitBoxToText','off','LineWidth',1);

subplot(2,1,2)
plot(ratio,'.','Markersize',4,'LineWidth',1);
xlabel('Number of Beats');
ylabel('Ca_n_s_r/Ca_i');
annotation('textbox',[0.145 0.37 0.162 0.0475],'String',{'CL = 250ms'},'FitBoxToText','off','LineWidth',1);
set(subplot(2,1,2),'LineWidth',1);

annotation('textbox',[0.029 0.9 0.059 0.067],'String',{'a'},'LineStyle','none');
annotation('textbox',[0.029 0.466 0.059 0.067],'String',{'b'},'LineStyle','none');
